Package org.eclipse.microprofile.openapi.apps.airlines.resources

# Class AirlinesResource

java.lang.Object
org.eclipse.microprofile.openapi.apps.airlines.resources.AirlinesResource

@Path("") public class AirlinesResource extends Object

## Constructor Summary

Constructors
Constructor
Description
`AirlinesResource()`

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`getAirlines()`
`static Airline`
`getRandomAirline()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AirlinesResource

public AirlinesResource()

## Method Details

### getRandomAirline

public static Airline getRandomAirline()

### getAirlines

@GET @Produces("application/json") public jakarta.ws.rs.core.Response getAirlines()